|
|
49e6a8 |
From 2ee1e96e1a2bd37cfb9a70e924fd93d709939979 Mon Sep 17 00:00:00 2001
|
|
|
49e6a8 |
From: =?UTF-8?q?Renaud=20M=C3=A9trich?= <rmetrich@redhat.com>
|
|
|
49e6a8 |
Date: Wed, 14 Nov 2018 13:19:27 +0100
|
|
|
49e6a8 |
Subject: [PATCH] fips: removed false-positive 'FATAL: Module xxx not found'
|
|
|
49e6a8 |
error message when kernel provides a generic algo for module
|
|
|
49e6a8 |
MIME-Version: 1.0
|
|
|
49e6a8 |
Content-Type: text/plain; charset=UTF-8
|
|
|
49e6a8 |
Content-Transfer-Encoding: 8bit
|
|
|
49e6a8 |
|
|
|
49e6a8 |
Signed-off-by: Renaud Métrich <rmetrich@redhat.com>
|
|
|
49e6a8 |
|
|
|
49e6a8 |
Cherry-picked from: 01ffcf342ae65984c655f10a2fd35019a492ee5c
|
|
|
49e6a8 |
Resolves: #1649743
|
|
|
49e6a8 |
---
|
|
|
49e6a8 |
modules.d/01fips/fips.sh | 4 ++--
|
|
|
49e6a8 |
1 file changed, 2 insertions(+), 2 deletions(-)
|
|
|
49e6a8 |
|
|
|
49e6a8 |
diff --git a/modules.d/01fips/fips.sh b/modules.d/01fips/fips.sh
|
|
|
49e6a8 |
index c72c1273..7ba1ab27 100755
|
|
|
49e6a8 |
--- a/modules.d/01fips/fips.sh
|
|
|
49e6a8 |
+++ b/modules.d/01fips/fips.sh
|
|
|
49e6a8 |
@@ -86,7 +86,7 @@ do_fips()
|
|
|
49e6a8 |
mv /etc/modprobe.d/fips.conf /etc/modprobe.d/fips.conf.bak
|
|
|
49e6a8 |
for _module in $FIPSMODULES; do
|
|
|
49e6a8 |
if [ "$_module" != "tcrypt" ]; then
|
|
|
49e6a8 |
- if ! modprobe "${_module}"; then
|
|
|
49e6a8 |
+ if ! modprobe "${_module}" 2>/tmp/fips.modprobe_err; then
|
|
|
49e6a8 |
# check if kernel provides generic algo
|
|
|
49e6a8 |
_found=0
|
|
|
49e6a8 |
while read _k _s _v; do
|
|
|
49e6a8 |
@@ -95,7 +95,7 @@ do_fips()
|
|
|
49e6a8 |
_found=1
|
|
|
49e6a8 |
break
|
|
|
49e6a8 |
done
|
|
|
49e6a8 |
- [ "$_found" = "0" ] && return 1
|
|
|
49e6a8 |
+ [ "$_found" = "0" ] && cat /tmp/fips.modprobe_err >&2 && return 1
|
|
|
49e6a8 |
fi
|
|
|
49e6a8 |
fi
|
|
|
49e6a8 |
done
|